summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2017-03-02 14:42:57 +0100
committerThomas Deutschmann <whissi@gentoo.org>2017-03-02 14:49:53 +0100
commit123337a74ddffd683928b7ec1830be24d912d7d3 (patch)
tree60e67056139d7ac0a8c73af15ba76caba2667f70 /dev-db/percona-xtrabackup
parentdev-libs/librdkafka: Bump to v0.9.4 (diff)
downloadgentoo-123337a74ddffd683928b7ec1830be24d912d7d3.tar.gz
gentoo-123337a74ddffd683928b7ec1830be24d912d7d3.tar.bz2
gentoo-123337a74ddffd683928b7ec1830be24d912d7d3.zip
dev-db/percona-xtrabackup: Bump to v2.4.6
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-db/percona-xtrabackup')
-rw-r--r--dev-db/percona-xtrabackup/Manifest1
-rw-r--r--dev-db/percona-xtrabackup/percona-xtrabackup-2.4.6.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-db/percona-xtrabackup/Manifest b/dev-db/percona-xtrabackup/Manifest
index bf632d55295..256d2d09a01 100644
--- a/dev-db/percona-xtrabackup/Manifest
+++ b/dev-db/percona-xtrabackup/Manifest
@@ -1,3 +1,4 @@
DIST boost_1_59_0.tar.gz 83709983 SHA256 47f11c8844e579d02691a607fbd32540104a9ac7a2534a8ddaef50daf502baac SHA512 05fdbe5637543defdbc630b921515425885593d16db14534ed7b9aa60925ade8fb598d50cb894aed6dae688e789047216daa1bf03fa1aeb6b531060d9dae52ae WHIRLPOOL b316c2b5e445010766b7ce3f6582565177e1ed763381912dd6b21a882176e19e382c929e1f5a2419e2ed701058c56320cdbf8487234835a00fb94e7115059b67
DIST percona-xtrabackup-2.4.4.tar.gz 54060567 SHA256 e3ec54eb468482503bccdd1619136e798798086042e9eb7c6daa2fb9b78783a3 SHA512 aa013aa8f2bef49c66fd14a980444039bdbabb17c09efec3119d5fc074623d6c5f7492602c759f1d51e3a01898729e1209d2195081b537f679a3713b37a7cf0d WHIRLPOOL 77ef90b028cfcec60b0aa7dea4aab2bbebb3be8f18ae50406af81c1cdfe6339f08b29eded004ca6b91ce86303ef694803e34dc5c4d723606b34c1b95120bd8f7
DIST percona-xtrabackup-2.4.5.tar.gz 54104240 SHA256 1c8c457e1912525f6c3079a8c5b2948dbcf693d2b86c8f57d13b4a446cec2036 SHA512 07d93ea7de987a06687cc772b32dff13e75e34061163bf990abe640015f765d9fe4deb6d78ddb91a667ddb312448400a5e7e1114cf955837584b5fd16821c66b WHIRLPOOL a3be4ee0eb39c23aeabf1f70dadecf23fda7e3c2d2b033097c66cab7616a84a2e5703c64c1738c3c251297c4c64930590610cb99001f65cd76ef71c204d192f8
+DIST percona-xtrabackup-2.4.6.tar.gz 54108124 SHA256 1e21ab097550901d8f2fa3dc37402ba6a994afa0722760f8f19cb369565e5e8b SHA512 7ed16ba73d4232cc5f40f3dd4674087b65326b42f3f0d9cd462a1eef1dd2c41c582cb71fff49998d9e65f71322e2b26d0708b2ba36da22f54f456679b9a544e5 WHIRLPOOL 3d53e7a2b7b61c0dd779d723a3efb4d1ab4d98aff751a325e6028c0710a1f4de969d70f62c65a8a0e67f0d95643a0245524fb37708602ef303f21674c5f92fe3
diff --git a/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.6.ebuild b/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.6.ebuild
new file mode 100644
index 00000000000..ff3de6232d0
--- /dev/null
+++ b/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Hot backup utility for MySQL based servers"
+HOMEPAGE="https://www.percona.com/software/mysql-database/percona-xtrabackup"
+SRC_URI="https://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-${PV}/source/tarball/${P}.tar.gz
+ !system-boost? ( http://jenkins.percona.com/downloads/boost/boost_1_59_0.tar.gz )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="system-boost"
+
+DEPEND="system-boost? ( =dev-libs/boost-1.59.0 )
+ app-editors/vim-core
+ dev-libs/libaio
+ dev-libs/libev
+ dev-libs/libgcrypt:0=
+ dev-libs/libgpg-error
+ dev-python/sphinx
+ net-misc/curl
+ sys-libs/zlib"
+RDEPEND="${DEPEND}
+ !dev-db/xtrabackup-bin
+ dev-perl/DBD-mysql"
+
+src_configure() {
+ local my_args
+
+ if ! use system-boost; then
+ my_args="-DDOWNLOAD_BOOST=0 -DWITH_BOOST=${WORKDIR}"
+ fi
+
+ cmake -DBUILD_CONFIG=xtrabackup_release $my_args || die
+}
+
+src_compile() {
+ emake VERBOSE=1
+}
+
+src_install() {
+ local p="storage/innobase/xtrabackup"
+
+ for tool in xbcloud xbcrypt xbstream xtrabackup; do
+ dobin ${p}/src/${tool}
+ done
+
+ dosym xtrabackup /usr/bin/innobackupex
+
+ doman ${p}/doc/source/build/man/*
+}